# ezQuake Manual: Video Settings Variables

## block_switch

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Block task-switching
0 | Do not block task-switching

## vid_borderless

### Description

When in windowed mode, window will not have a border

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 |
0 |

## vid_colorbits

### Description

Determines the color mode

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

Highest quality is \"24\"

## vid_config_x

### Description

This variable sets the width of the vid_mode 2 window, the minimum possible value is "640".

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 800

Variable is float.

## vid_config_y

### Description

This variable sets the width of the vid_mode 2 window, the minimum possible value is "400"

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 600

Variable is float.

## vid_conheight

### Description

Width of the text layer

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 480

Variable is integer.

Can\'t be higher than the width of the current game resolution

## vid_conwidth

### Description

Height of the text layer

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 640

Variable is integer.

Can\'t be higher than the height of the current game resolution

## vid_customheight

### Description

Screen resolution width for custom screen mode

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1024

Variable is integer.

vid_mode must be -1

## vid_customwidth

### Description

Screen resolution height for custom screen mode

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1600

Variable is integer.

vid_mode must be -1

## vid_displayfrequency

### Description

Sets horizontal frequency for your monitor (in hertz - Hz).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

## vid_flashonactivity

### Description

When there is activity in the server, ezQuake's taskbar window will flash. Activity includes chat, high priority messages, disconnection from server.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

## vid_forcerestoregamma

### Description

Force restore gamma after returning to minimized application.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Force restore in 1 sec
0 | Old way of restoring gamma

Might be usefull if you have ATI card.

## vid_fullscreen

### Description

Enables fullscreen mode, when disabled, sets windowed mode

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 |
0 |

## vid_fullscreen_mode

### Description

This variable sets the full screen video mode that the game will switch to when the "vid_fullscreen" command is executed.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is float.

## vid_hwgammacontrol

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

### Values

value | description
0 | Disables hardware gamma control.
1 | Enables hardware gamma control.
2 | Enables hwgamma in windowed mode.

## vid_mode

### Description

This variables sets the next video mode to be used, any change of this variable will cause the video mode to be changed immediately.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is float.

## vid_nopageflip

### Description

This variable toggles the use of page-flipping during supported video modes. By default the game will allow for page-flipping for video modes that support this feature. For example if a given VESA mode can support page flipping, then it defaults to page-flipped operation. A VESA mode can be forced to non-page-flipped operation by setting the "vid_nopageflip" variable to "1", then setting the mode (note that "vid_nopageflip" takes operation on the next, not the current video mode, and note that it then stays in effect permanently, even when the client is exited and restarted, unless it is manually set back to "0"). If there is not enough memory for two pages in a VESA mode, or if the adapter doesn't support page flipping, then the mode will automatically be non-page-flipped. Page-flipping works by drawing multiple virtual game screens at the same time in the video memory and then switching among them to display the current gamescreen. Page-flipped modes thus use less system memory than non-page-flipped modes, but require more video memory. When using page-flipping, visual quality may be higher, but performance of the game can change to better or worse, depending on the graphics adapter and other hardware (see the discussion of the Pentium Pro below, for a discussion of why page flipping can be faster but is sometimes much slower on that processor). However in most cases the performance (and thus frame rate) will be increased, but for people with hardware that has problems with page-flipping "vid_nopageflip 1" may help. The Pentium Pro is an example for such a hardware: it is an okay client platform (sniff!), but it has one weak spot, it is by default very slow on writes to video memory. This means that in default hardware configurations, you are usually much better off setting "vid_nopageflip" to "1" if you use VESA modes, so drawing is done to system memory instead of to video memory. Remember that you must set the mode after setting "vid_nopageflip" to "1" in order to get "vid_nopageflip" to take effect. "vid_nopageflip 1" can sometimes be faster on a Pentium too, but not by nearly as much in general, and it's often slower.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## vid_resetonswitch

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Enable (This is a workaround for the bug in some NVidia drivers, when you alt-tab out of
0 | Disable.

ezQuake and the screen gets garbaged. When enabled, the client will reset your Windows video mode every time you press alt-tab. Note that some NVidia drivers lock up your system completely when you alt-tab. vid_resetonswitch will not help in this case (try starting ezQuake with -dibonly).

## vid_stretch_by_2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Enable (This variable toggles whether in "vid_mode 2" the picture should be rendered at
0 | Disable.

half-resolution in each direction and stretched up to the specified size.)

## vid_vsync

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Enable vsync.
0 | Disable vsync.

## vid_windowed_mode

### Description

This variable sets the windowed video mode that the game will switch to when the "vid_windowed" command is executed.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## vid_window_x

### Description

This variable sets the x-axis location of the top left corner of the game window on the desktop.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## vid_window_y

### Description

This variable sets the y-axis location of the top left corner of the game window on the desktop.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## _vid_default_mode

### Description

This variable sets the default video mode that the client uses.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## _vid_default_mode_win

### Description

This variable sets the default video mode that the client uses when windowed.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is float.

## _windowed_mouse

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Enabled windowed mouse support so you can use the mouse in the client.
0 | Disable windowed mouse support so you can use the mouse in other applications.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs